Bug 99272 - rc.sysinit tries to load nonexistant keybdev and mousedev drivers on 2.6.0-test1.1.25 kernel
rc.sysinit tries to load nonexistant keybdev and mousedev drivers on 2.6.0-te...
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-07-16 16:41 EDT by Matt Domsch
Modified: 2014-03-16 22:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-28 02:34:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2003-07-16 16:41:54 EDT
Description of problem:
On a RHL9 system, up2date, plus packages to enable 2.6.0-test1 kernel,
rc.sysinit always tries to load nonexistant keybdev and mousedev drivers on
2.6.0-test1.1.25 kernel.  From boot.log:

Jul 16 11:54:44 D5JPLF11 rc.sysinit: Mounting USB filesystem:  succeeded
Jul 16 11:54:44 D5JPLF11 modprobe: FATAL: Module keybdev not found.
Jul 16 11:54:44 D5JPLF11 rc.sysinit: Initializing USB HID interface:  succeeded
Jul 16 11:54:44 D5JPLF11 modprobe: FATAL: Module keybdev not found.
Jul 16 11:54:44 D5JPLF11 rc.sysinit: Initializing USB keyboard:  failed
Jul 16 11:54:44 D5JPLF11 modprobe: FATAL: Module mousedev already in kernel.
Jul 16 11:54:44 D5JPLF11 rc.sysinit: Initializing USB mouse:  failed


Version-Release number of selected component (if applicable):
kernel-2.6.0-test1.1.25
initscripts-7.28-1.i386.rpm 

How reproducible:
always

Steps to Reproduce:
1. install initscripts and kernel package above
2. reboot and see messages
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Eric Bursley 2003-09-06 22:32:06 EDT
this is resolved by updating your rc.sysinit and /etc/init.d/halt scripts as per
the following url:
http://thomer.com/linux/migrate-to-2.6.html

Comment 2 Bill Nottingham 2003-09-07 21:48:21 EDT
Changing it exactly like that would break booting 2.4 kernels, and is therefore
not an option.
Comment 3 Bill Nottingham 2004-01-28 02:34:16 EST
Will be fixed differently in 7.44-1.

Note You need to log in before you can comment on or make changes to this bug.